function openTab(pageName, elmnt) {
    // Hide all elements with class="tabcontent" by default */
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    tablinks = document.getElementsByClassName("tablink");

    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
        tablinks[i].classList.remove("active");
    }
    
    // Show the specific tab content
    document.getElementById(pageName).style.display = "block";
    elmnt.classList.add("active");
}

function linkDatasetToField(detail, targetForm, inputName) {
    const validationForm = document.getElementById(targetForm);
    const resourceField = validationForm.querySelector(`input[name="${inputName}"]`);
    if (resourceField) {
        resourceField.value = JSON.stringify({ '@id': detail.dataset.src });
    } 
}

function refreshList(formId, listId) {
    const form = document.getElementById(formId);
    form.addEventListener("save", event => {
        const list = document.getElementById(listId);
        list.dataset.src = list.dataset.src;
    }); 
}

jQuery(document).ready(function($) {      
    // Get the element with id="defaultOpen" and click on it
    document.getElementById("defaultOpen").click();
    const detail = document.getElementById("detail-view");

    detail.addEventListener("populate", event => {   
        linkDatasetToField(detail, 'validation-form', 'resource');
        linkDatasetToField(detail, 'refusal-dialog-form', 'resource');
        linkDatasetToField(detail, 'improvement-dialog-form', 'resource');    
    });
    
     refreshList("resource-creation-form", "resources-history");
     refreshList("validation-form", "pending-resources");
     refreshList("refusal-dialog-form", "pending-resources");
     refreshList("improvement-dialog-form", "pending-resources");

    const logoutButton = document.getElementById('logout-button');
    logoutButton.addEventListener('click', function() {
        window.dispatchEvent(
            new CustomEvent('requestNavigation', { detail: { route: 'splash-index' } })
        );
        document.querySelector('sib-auth').logout();
        setTimeout(function(){ location.reload(); }, 1000);
    })
 });